//==================================================
//POV-Ray Materials list
//==================================================
//This file has been created by PoseRay v3.13.10.504
//3D model to POV-Ray/Moray Converter.
//Author: FlyerX
//Email: flyerx_2000@yahoo.com
//Web: http://mysite.verizon.net/sfg0000/
//==================================================
//Files needed to run the POV-Ray scene:
//Frilled_lizard_POV_main.ini (initialization file - open this to render)
//Frilled_lizard_POV_scene.pov (scene setup of cameras, lights and geometry)
//Frilled_lizard_POV_geom.inc (geometry mesh)
//Frilled_lizard_POV_mat.inc (materials)
//FrilledNeckLizardBodC1.jpg
//FrilledNeckLizardFrillC1.jpg
//FrilledNeckLizardEyeC1.jpg
// 
 
//Macros used by PoseRay to manipulate pigments
//October 06, 2010
//By FlyerX

#macro pigment_multiply(p1,p2)
//multiplies two pigments
#local PR1 = function {pigment{p1}}
#local PR2 = function {pigment{p2}}
#local PR_FRed=function (x,y,z) {PR1(x,y,z).red*PR2(x,y,z).red}
#local PR_FGrn=function (x,y,z) {PR1(x,y,z).green*PR2(x,y,z).green}
#local PR_FBlu=function (x,y,z) {PR1(x,y,z).blue*PR2(x,y,z).blue}
average pigment_map{
    [function{PR_FRed(x,y,z)} color_map{[0 rgb 0][1 rgb <1,0,0>*3]}]
    [function{PR_FGrn(x,y,z)} color_map{[0 rgb 0][1 rgb <0,1,0>*3]}]
    [function{PR_FBlu(x,y,z)} color_map{[0 rgb 0][1 rgb <0,0,1>*3]}]
  }
#end      

#macro pigment_add(p1,p2)
//adds two pigments - values are clamped from 0 to 1
#local PR1 = function {pigment{p1}}
#local PR2 = function {pigment{p2}}
#local PR_FRed=function (x,y,z) {clamp(PR1(x,y,z).red+PR2(x,y,z).red,0,1)}
#local PR_FGrn=function (x,y,z) {clamp(PR1(x,y,z).green+PR2(x,y,z).green,0,1)}
#local PR_FBlu=function (x,y,z) {clamp(PR1(x,y,z).blue+PR2(x,y,z).blue,0,1)}
average pigment_map{
    [function{PR_FRed(x,y,z)} color_map{[0 rgb 0][1 rgb <1,0,0>*3]}]
    [function{PR_FGrn(x,y,z)} color_map{[0 rgb 0][1 rgb <0,1,0>*3]}]
    [function{PR_FBlu(x,y,z)} color_map{[0 rgb 0][1 rgb <0,0,1>*3]}]
  }
#end 

#macro pigment_substract(p1,p2)
//substracts two pigments - values are clamped from 0 to 1
#local PR1 = function {pigment{p1}}
#local PR2 = function {pigment{p2}}
#local PR_FRed=function (x,y,z) {clamp(PR1(x,y,z).red-PR2(x,y,z).red,0,1)}
#local PR_FGrn=function (x,y,z) {clamp(PR1(x,y,z).green-PR2(x,y,z).green,0,1)}
#local PR_FBlu=function (x,y,z) {clamp(PR1(x,y,z).blue-PR2(x,y,z).blue,0,1)}
average pigment_map{
    [function{PR_FRed(x,y,z)} color_map{[0 rgb 0][1 rgb <1,0,0>*3]}]
    [function{PR_FGrn(x,y,z)} color_map{[0 rgb 0][1 rgb <0,1,0>*3]}]
    [function{PR_FBlu(x,y,z)} color_map{[0 rgb 0][1 rgb <0,0,1>*3]}]
  }
#end

#macro pigment_power(p1,n)
//raises a pigment to a power - works with images with no mask (jpeg, bmp...)
#local PR1 = function {pigment{p1}}
#local PR_FRed=function (x,y,z) {pow(PR1(x,y,z).red,n)}
#local PR_FGrn=function (x,y,z) {pow(PR1(x,y,z).green,n)}
#local PR_FBlu=function (x,y,z) {pow(PR1(x,y,z).blue,n)}
average pigment_map{
    [function{PR_FRed(x,y,z)} color_map{[0 rgb 0][1 rgb <1,0,0>*3]}]
    [function{PR_FGrn(x,y,z)} color_map{[0 rgb 0][1 rgb <0,1,0>*3]}]
    [function{PR_FBlu(x,y,z)} color_map{[0 rgb 0][1 rgb <0,0,1>*3]}]
  }
#end 


#macro pigment_step(p1,s)
//makes a pigment black if color < s or white otherwise
#local PR1 = function {pigment{p1}}
#local PR_FRed=function (x,y,z) {0.5*(sgn(PR1(x,y,z).red-s)+1)}
#local PR_FGrn=function (x,y,z) {0.5*(sgn(PR1(x,y,z).green-s)+1)}
#local PR_FBlu=function (x,y,z) {0.5*(sgn(PR1(x,y,z).blue-s)+1)}
average pigment_map{
    [function{PR_FRed(x,y,z)} color_map{[0 rgb 0][1 rgb <1,0,0>*3]}]
    [function{PR_FGrn(x,y,z)} color_map{[0 rgb 0][1 rgb <0,1,0>*3]}]
    [function{PR_FBlu(x,y,z)} color_map{[0 rgb 0][1 rgb <0,0,1>*3]}]
  }
#end  

#macro pigment_luminance(p1)
//calculate luminance from RGB colors
#local PR1 = function {pigment{p1}}
#local PR_FRed=function (x,y,z) {0.2126*PR1(x,y,z).red + 0.7152*PR1(x,y,z).green + 0.0722*PR1(x,y,z).blue}
#local PR_FGrn=function (x,y,z) {0.2126*PR1(x,y,z).red + 0.7152*PR1(x,y,z).green + 0.0722*PR1(x,y,z).blue}
#local PR_FBlu=function (x,y,z) {0.2126*PR1(x,y,z).red + 0.7152*PR1(x,y,z).green + 0.0722*PR1(x,y,z).blue}
average pigment_map{
    [function{PR_FRed(x,y,z)} color_map{[0 rgb 0][1 rgb <1,0,0>*3]}]
    [function{PR_FGrn(x,y,z)} color_map{[0 rgb 0][1 rgb <0,1,0>*3]}]
    [function{PR_FBlu(x,y,z)} color_map{[0 rgb 0][1 rgb <0,0,1>*3]}]
  }
#end  

#macro pigment_invert(p1)
//inverts the color -> 1-RGB
#local PR1 = function {pigment{p1}}
#local PR_FRed=function (x,y,z) {1-PR1(x,y,z).red}
#local PR_FGrn=function (x,y,z) {1-PR1(x,y,z).green}
#local PR_FBlu=function (x,y,z) {1-PR1(x,y,z).blue}
average pigment_map{
    [function{PR_FRed(x,y,z)} color_map{[0 rgb 0][1 rgb <1,0,0>*3]}]
    [function{PR_FGrn(x,y,z)} color_map{[0 rgb 0][1 rgb <0,1,0>*3]}]
    [function{PR_FBlu(x,y,z)} color_map{[0 rgb 0][1 rgb <0,0,1>*3]}]
  }
#end  

#macro pigment_mix(p1,p2,xv)
//mixes two pigments on a sliding scale xv from 0 to 1 
#local PR1 = function {pigment{p1}}
#local PR2 = function {pigment{p2}}
#local PR_FRed=function (x,y,z) {PR1(x,y,z).red*(1-xv)+PR2(x,y,z).red*xv}
#local PR_FGrn=function (x,y,z) {PR1(x,y,z).green*(1-xv)+PR2(x,y,z).green*xv}
#local PR_FBlu=function (x,y,z) {PR1(x,y,z).blue*(1-xv)+PR2(x,y,z).blue*xv}
average pigment_map{
    [function{PR_FRed(x,y,z)} color_map{[0 rgb 0][1 rgb <1,0,0>*3]}]
    [function{PR_FGrn(x,y,z)} color_map{[0 rgb 0][1 rgb <0,1,0>*3]}]
    [function{PR_FBlu(x,y,z)} color_map{[0 rgb 0][1 rgb <0,0,1>*3]}]
  }
#end

//=======================================

#macro power_ramp(xv,xa,xb,ya,yb,pw)
//generates a float with a power ramp from (xa,ya) to (xb,yb) with power pw and argument xv. 
//ramp slope is zero at xb
  ((ya-yb)/pow((xa-xb),pw))*pow((xv-xb),pw)+yb
#end

#macro power_ramp2(xv,xa,xb,ya,yb,pw)
//generates a float with a power ramp from (xa,ya) to (xb,yb) with power pw and argument xv. 
//ramp slope is zero at xa
  ((yb-ya)/pow((xb-xa),pw))*pow((xv-xa),pw)+ya
#end
 
//==================================================
//Map definitions
#declare p_map1=pigment {image_map{jpeg "Frilled_lizard_FrilledNeckLizardBodC1.jpg" interpolate 2 transmit all 0 } }
#declare p_map2=normal {bump_map{jpeg "Frilled_lizard_FrilledNeckLizardBodC1.jpg" gamma 1.0 interpolate 2 }}
#declare p_map3=pigment {image_map{jpeg "Frilled_lizard_FrilledNeckLizardFrillC1.jpg" interpolate 2 transmit all 0 } }
#declare p_map4=normal {bump_map{jpeg "Frilled_lizard_FrilledNeckLizardFrillC1.jpg" gamma 1.0 interpolate 2 }}
#declare p_map5=pigment {image_map{jpeg "Frilled_lizard_FrilledNeckLizardEyeC1.jpg" interpolate 2 transmit all 0 } }
 
//==================================================
//Custom definitions
#declare F_EyeTrans=
finish {
  specular 1
  roughness 0.001
  ambient 0
  diffuse 0
  reflection 0.05
}

#declare I_EyeTrans =
interior { ior 1.5 }

#declare T_EyeTrans =
texture {
  pigment { rgbf<1.0, 1.0, 1.0, 0.7> }
  finish  { F_EyeTrans }
}
#declare M_EyeTrans =
material {
  texture { T_EyeTrans }
  interior { I_EyeTrans }
}

 
//==================================================
//Material definitions
#declare Body_= 
#declare PR_DIFFUSE=pigment{pigment_multiply(p_map1,pigment{color srgb <0.55,0.72,0.28> })};
#declare F1=finish{specular 0.2 //Max highlight intensity: 0 -> 1
                   roughness 0.00286312 //surface roughness: 0.0005 -> 1
                   phong 0 phong_size 0 //Phong specular disabled
                   
                   ambient rgb <0.00,0.00,0.00> //ambient RGB color: 0->1 for each component
                   diffuse 0.6 
                   reflection{0 } conserve_energy //reflection amount: 0 -> 1
                   }
#declare N1=normal{p_map2
               bump_size -6.192//size of bump features at pure white. Can be positive or negative
               //enter modifiers here
              }
material{
         texture{uv_mapping
                 pigment{PR_DIFFUSE translate<0,0,0> scale<1,1,1> translate<0,0,0> rotate<0,0,0> translate<0,0,0> }
                 finish{F1}
                 normal{N1 translate<0,0,0> scale<1,1,1> translate<0,0,0> rotate<0,0,0> translate<0,0,0> }
                }
        }
//==================================================
#declare Claw_= 
#declare PR_DIFFUSE=pigment{pigment_multiply(p_map1,pigment{color srgb <0.17,0.17,0.17> })};
#declare F1=finish{specular 0.2 //Max highlight intensity: 0 -> 1
                   roughness 0.00286312 //surface roughness: 0.0005 -> 1
                   phong 0 phong_size 0 //Phong specular disabled
                   
                   ambient rgb <0.00,0.00,0.00> //ambient RGB color: 0->1 for each component
                   diffuse 0.6 
                   reflection{0 } conserve_energy //reflection amount: 0 -> 1
                   }
#declare N1=normal{p_map2
               bump_size -6.192//size of bump features at pure white. Can be positive or negative
               //enter modifiers here
              }
material{
         texture{uv_mapping
                 pigment{PR_DIFFUSE translate<0,0,0> scale<1,1,1> translate<0,0,0> rotate<0,0,0> translate<0,0,0> }
                 finish{F1}
                 normal{N1 translate<0,0,0> scale<1,1,1> translate<0,0,0> rotate<0,0,0> translate<0,0,0> }
                }
        }
//==================================================
#declare Mouth_= 
#declare PR_DIFFUSE=p_map1;
#declare F1=finish{specular 0.5019608 //Max highlight intensity: 0 -> 1
                   roughness 0.00286312 //surface roughness: 0.0005 -> 1
                   phong 0 phong_size 0 //Phong specular disabled
                   
                   ambient rgb <0.00,0.00,0.00> //ambient RGB color: 0->1 for each component
                   diffuse 0.6 
                   reflection{0 } conserve_energy //reflection amount: 0 -> 1
                   }
#declare N1=normal{p_map2
               bump_size -6.192//size of bump features at pure white. Can be positive or negative
               //enter modifiers here
              }
material{
         texture{uv_mapping
                 pigment{PR_DIFFUSE translate<0,0,0> scale<1,1,1> translate<0,0,0> rotate<0,0,0> translate<0,0,0> }
                 finish{F1}
                 normal{N1 translate<0,0,0> scale<1,1,1> translate<0,0,0> rotate<0,0,0> translate<0,0,0> }
                }
        }
//==================================================
#declare NeckFrill_= 
#declare PR_DIFFUSE=pigment{pigment_multiply(p_map3,pigment{color srgb <0.55,0.72,0.28> })};
#declare F1=finish{specular 0.2 //Max highlight intensity: 0 -> 1
                   roughness 0.00286312 //surface roughness: 0.0005 -> 1
                   phong 0 phong_size 0 //Phong specular disabled
                   
                   ambient rgb <0.00,0.00,0.00> //ambient RGB color: 0->1 for each component
                   diffuse 0.6 
                   reflection{0 } conserve_energy //reflection amount: 0 -> 1
                   }
#declare N1=normal{p_map4
               bump_size -6.192//size of bump features at pure white. Can be positive or negative
               //enter modifiers here
              }
material{
         texture{uv_mapping
                 pigment{PR_DIFFUSE translate<0,0,0> scale<1,1,1> translate<0,0,0> rotate<0,0,0> translate<0,0,0> }
                 finish{F1}
                 normal{N1 translate<0,0,0> scale<1,1,1> translate<0,0,0> rotate<0,0,0> translate<0,0,0> }
                }
        }
//==================================================
#declare Eyeball_= 
#declare PR_DIFFUSE=p_map5;
#declare F1=finish{specular 0 //Max highlight intensity: 0 -> 1
                   roughness 0.00286312 //surface roughness: 0.0005 -> 1
                   phong 0 phong_size 0 //Phong specular disabled
                   
                   ambient rgb <0.00,0.00,0.00> //ambient RGB color: 0->1 for each component
                   diffuse 0.6 
                   reflection{0 } conserve_energy //reflection amount: 0 -> 1
                   }
material{
         texture{uv_mapping
                 pigment{PR_DIFFUSE translate<0,0,0> scale<1,1,1> translate<0,0,0> rotate<0,0,0> translate<0,0,0> }
                 finish{F1}
                }
        }
//==================================================
#declare Iris_= 
#declare PR_DIFFUSE=p_map5;
#declare F1=finish{specular 0 //Max highlight intensity: 0 -> 1
                   roughness 0.00286312 //surface roughness: 0.0005 -> 1
                   phong 0 phong_size 0 //Phong specular disabled
                   
                   ambient rgb <0.00,0.00,0.00> //ambient RGB color: 0->1 for each component
                   diffuse 0.6 
                   reflection{0 } conserve_energy //reflection amount: 0 -> 1
                   }
material{
         texture{uv_mapping
                 pigment{PR_DIFFUSE translate<0,0,0> scale<1,1,1> translate<0,0,0> rotate<0,0,0> translate<0,0,0> }
                 finish{F1}
                }
        }
//==================================================
#declare Pupil_= 
#declare PR_DIFFUSE=p_map5;
#declare F1=finish{specular 0 //Max highlight intensity: 0 -> 1
                   roughness 0.00286312 //surface roughness: 0.0005 -> 1
                   phong 0 phong_size 0 //Phong specular disabled
                   
                   ambient rgb <0.00,0.00,0.00> //ambient RGB color: 0->1 for each component
                   diffuse 0.6 
                   reflection{0 } conserve_energy //reflection amount: 0 -> 1
                   }
material{
         texture{uv_mapping
                 pigment{PR_DIFFUSE translate<0,0,0> scale<1,1,1> translate<0,0,0> rotate<0,0,0> translate<0,0,0> }
                 finish{F1}
                }
        }
//==================================================
#declare Eyetrans_=
material {M_EyeTrans}
//==================================================
